com.io7m.r2.core.shaders.provided

## Interface R2TranslucentShaderBasicParametersType

- All Known Implementing Classes:
    R2TranslucentShaderBasicParameters

      public interface R2TranslucentShaderBasicParametersType

  The type of parameters for the basic translucent shader.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType>` | `albedoColor()`
    `default R2Texture2DUsableType` | `albedoTexture()` An albedo map which is used primarily used to determine the opacity of the shaded surface.
    `default float` | `fadeZFar()` A specification of the distance at which instances will be fully faded in.
    `default float` | `fadeZNear()` A specification of the distance at which to begin fading in instances.
    `R2TextureDefaultsType` | `textureDefaults()`

- - ### Method Detail

    - #### textureDefaults

          R2TextureDefaultsType textureDefaults()

      Returns:
        A reference to the default textures

    - #### albedoTexture

          default R2Texture2DUsableType albedoTexture()

      An albedo map which is used primarily used to determine the opacity of the shaded surface.

      Returns:
        The albedo texture for the surface

    - #### albedoColor

          default com.io7m.jtensors.parameterized.PVectorI4F<R2SpaceRGBAType> albedoColor()

      Returns:
        A color value by which to multiply the final refracted image

    - #### fadeZNear

          default float fadeZNear()

      A specification of the distance at which to begin fading in instances. This allows instances to quickly fade out when they get too close to the view plane.

      Returns:
        The positive eye-space Z distance at which to start fading in instances
      See Also:
        `fadeZFar()`

    - #### fadeZFar

          default float fadeZFar()

      A specification of the distance at which instances will be fully faded in.
      Returns:
        The positive eye-space Z distance at which instances are fully faded in
      See Also:
        `fadeZNear()`

Copyright © 2016 <code@io7m.com> http://io7m.com